[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EPropReadOnly

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Read-only property error.

## Declaration

Source position: sysutilh.inc line 197

`type EPropReadOnly = class(Exception)`

## Inheritance

`EPropReadOnly` |  | Read-only property error.
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

EPropReadOnly is raised when an attempt is made to write to a read-only property.